=== debian/changelog ===
lxqt-globalkeys (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream release 0.17.0
  * Update debian/control
    - Bump Standards-Version to 4.5.1
    - Use liblxqt0-dev 0.17.0
  * Add Build-Depends-Package metadata field to symbols files
  * Rename tag for lintian override
  * Extend lxqt-globalkeys-l10n package description
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Fri, 13 Aug 2021 10:36:06 +0200

lxqt-globalkeys (0.16.0-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * debhelper-compat requirement bumped to 13.

 -- Raman Sarda <theloudspeaker@disroot.org>  Mon, 22 Feb 2021 00:38:07 +0530
