=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/" \
https://github.com/lxqt/lxqt-globalkeys/releases .*/lxqt-globalkeys-([\d\.]+).tar.xz
