## lxqt-globalkeys 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,8 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "0.17.0")
-set(QT_MINIMUM_VERSION "5.12.0")
+set(LXQT_MINIMUM_VERSION "1.1.0")
+set(QT_MINIMUM_VERSION "5.15.0")
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
@@ -27,8 +27,8 @@
 find_package(lxqt ${LXQT_MINIMUM_VERSION} REQUIRED)
 
 # Version
-set(LXQT_GLOBALKEYS_MAJOR_VERSION 0)
-set(LXQT_GLOBALKEYS_MINOR_VERSION 17)
+set(LXQT_GLOBALKEYS_MAJOR_VERSION 1)
+set(LXQT_GLOBALKEYS_MINOR_VERSION 1)
 set(LXQT_GLOBALKEYS_PATCH_VERSION 0)
 set(LXQT_GLOBALKEYS_VERSION ${LXQT_GLOBALKEYS_MAJOR_VERSION}.${LXQT_GLOBALKEYS_MINOR_VERSION}.${LXQT_GLOBALKEYS_PATCH_VERSION})
 add_definitions("-DLXQT_GLOBALKEYS_VERSION=\"${LXQT_GLOBALKEYS_VERSION}\"")
