=== debian/changelog ===
lxqt-globalkeys (1.1.0-2) unstable; urgency=medium

  * Merge to unstable.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sat, 19 Nov 2022 16:02:44 +0800

lxqt-globalkeys (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Cleaned up gbp.conf trailing whitespace.
  * Upstreamed compatible changes from Ubuntu, modifying the following files:
    - control
    - copyright
    - *.install
    - *.symbols
    - lxqt-globalkeys.lintian-overrides
    - rules
    - upstream/*

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Wed, 13 Jul 2022 13:02:01 -0500
