=== debian/control ===
Source: lxqt-globalkeys
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
           Aaron Rainbolt <arraybolt3@gmail.com>
Section: x11
Priority: optional
Build-Depends: debhelper-compat (= 13),
               libkf5windowsystem-dev,
               liblxqt1-dev (>= 1.1.0),
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               xserver-xorg-input-libinput-dev
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-globalkeys
Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-globalkeys.git
Homepage: https://github.com/lxqt/lxqt-globalkeys
Rules-Requires-Root: no

Package: lxqt-globalkeys
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: lxqt-globalkeys-l10n, lxqt-qtplugin, lxqt-session
Suggests: lxqt | lxqt-core
Description: daemon used to register global keyboard shortcuts (appl.)
 Daemon used to register global keyboard shortcuts.
 .
 This package contain the program files for LXQt globalskeys.

Package: liblxqt-globalkeys1
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: liblxqt-globalkeys0 (<< 0.99.0)
Replaces: liblxqt-globalkeys0 (<< 0.99.0)
Description: daemon used to register global keyboard shortcuts (shared libs)
 Daemon used to register global keyboard shortcuts.
 .
 This package contain the shared libs for LXQt globalkeys.

Package: liblxqt-globalkeys1-dev
Architecture: any
Section: libdevel
Depends: liblxqt-globalkeys1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: liblxqt-globalkeys0-dev (<< 0.99.0)
Replaces: liblxqt-globalkeys0-dev (<< 0.99.0)
Description: daemon used to register global keyboard shortcuts (dev files)
 Daemon used to register global keyboard shortcuts.
 .
 This package contain the development files.

Package: liblxqt-globalkeys-ui1
Architecture: any
Multi-Arch: same
Section: libs
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
         liblxqt-globalkeys1 (= ${binary:Version})
Breaks: liblxqt-globalkeys-ui0 (<< 0.99.0)
Replaces: liblxqt-globalkeys-ui0 (<< 0.99.0)
Description: daemon used to register global keyboard shortcuts (ui files)
 Daemon used to register global keyboard shortcuts.
 .
 This package contain the ui for LXQt globalkeys.

Package: liblxqt-globalkeys-ui1-dev
Architecture: any
Section: libdevel
Depends: liblxqt-globalkeys-ui1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: liblxqt-globalkeys-ui0-dev (<< 0.99.0)
Replaces: liblxqt-globalkeys-ui0-dev (<< 0.99.0)
Description: daemon used to register global keyboard shortcuts (ui dev files)
 Daemon used to register global keyboard shortcuts.
 .
 This package contain the ui development files.

Package: lxqt-globalkeys-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Description: Language package for lxqt-globalkeys
 The l10n files for lxqt-globalkeys.
 .
 This package contains the l10n files needed by lxqt-globalkeys.
