## lxqt-globalkeys 1.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
 
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(LXQT_MINIMUM_VERSION "1.1.0")
+set(LXQT_MINIMUM_VERSION "1.2.0")
 set(QT_MINIMUM_VERSION "5.15.0")
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
@@ -28,7 +28,7 @@
 
 # Version
 set(LXQT_GLOBALKEYS_MAJOR_VERSION 1)
-set(LXQT_GLOBALKEYS_MINOR_VERSION 1)
+set(LXQT_GLOBALKEYS_MINOR_VERSION 2)
 set(LXQT_GLOBALKEYS_PATCH_VERSION 0)
 set(LXQT_GLOBALKEYS_VERSION ${LXQT_GLOBALKEYS_MAJOR_VERSION}.${LXQT_GLOBALKEYS_MINOR_VERSION}.${LXQT_GLOBALKEYS_PATCH_VERSION})
 add_definitions("-DLXQT_GLOBALKEYS_VERSION=\"${LXQT_GLOBALKEYS_VERSION}\"")
