=== config/translations/CMakeLists.txt ===
project(lxqt-config-globalkeyshortcuts)

build_component("." "")
