=== debian/changelog ===
lxqt-globalkeys (1.2.0-1) unstable; urgency=medium

  * New upstream releases.
  * Use shlibs file instead of symbols files.
  * Remove symbol file in favor of shlib file.
  * Update d/control indent.
  * Update d/copyright format and indent.
  * Update d/watch for GitHub.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 14 Dec 2022 23:48:20 +0800
