=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.1.0),
+               liblxqt1-dev (>= 1.2.0~),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
@@ -22,8 +22,11 @@
 
 Package: lxqt-globalkeys
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: lxqt-globalkeys-l10n, lxqt-qtplugin, lxqt-session
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Recommends: lxqt-globalkeys-l10n,
+            lxqt-qtplugin,
+            lxqt-session
 Suggests: lxqt | lxqt-core
 Description: daemon used to register global keyboard shortcuts (appl.)
  Daemon used to register global keyboard shortcuts.
@@ -44,6 +47,7 @@
  .
  This package contain the shared libs for LXQt globalkeys.
 
+# Rename to liblxqt-globalkeys-dev when bumping soversion
 Package: liblxqt-globalkeys1-dev
 Architecture: any
 Section: libdevel
@@ -72,6 +76,7 @@
  .
  This package contain the ui for LXQt globalkeys.
 
+# Rename to liblxqt-globalkeys-ui-dev when bumping soversion
 Package: liblxqt-globalkeys-ui1-dev
 Architecture: any
 Section: libdevel
