=== debian/changelog ===
lxqt-globalkeys (1.3.0-0ubuntu1) mantic; urgency=medium

  * New upstream release.
  * Bump build dependencies.
  * Bump Standards-version to 4.6.2, no changes needed.
  * Bump copyright years.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 11 Aug 2023 09:50:20 -0500

lxqt-globalkeys (1.2.0-0ubuntu1) lunar; urgency=medium

  * New upstream version.
  * Fix the watch file, for real this time.
  * Lubuntuify the package slightly, to make debhelper happy.
  * Bump build dependencies in debian/control.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 18 Nov 2022 15:07:21 -0600
