=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: lxqt-globalkeys
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Lubuntu Developers <lubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>,
@@ -9,24 +10,23 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libkf5windowsystem-dev,
-               liblxqt1-dev (>= 1.2.0~),
+               liblxqt1-dev (>= 1.3.0),
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                xserver-xorg-input-libinput-dev
-Standards-Version: 4.6.1
-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-globalkeys
-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-globalkeys.git
+Standards-Version: 4.6.2
+Vcs-Browser: https://git.lubuntu.me/Lubuntu/lxqt-globalkeys-packaging
+Vcs-Git: https://git.lubuntu.me/Lubuntu/lxqt-globalkeys-packaging.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/lxqt-globalkeys
+XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/lxqt-globalkeys.git
 Homepage: https://github.com/lxqt/lxqt-globalkeys
 Rules-Requires-Root: no
 
 Package: lxqt-globalkeys
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Recommends: lxqt-globalkeys-l10n,
-            lxqt-qtplugin,
-            lxqt-session
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: lxqt-globalkeys-l10n, lxqt-qtplugin, lxqt-session
 Suggests: lxqt | lxqt-core
 Description: daemon used to register global keyboard shortcuts (appl.)
  Daemon used to register global keyboard shortcuts.
@@ -47,7 +47,6 @@
  .
  This package contain the shared libs for LXQt globalkeys.
 
-# Rename to liblxqt-globalkeys-dev when bumping soversion
 Package: liblxqt-globalkeys1-dev
 Architecture: any
 Section: libdevel
@@ -76,7 +75,6 @@
  .
  This package contain the ui for LXQt globalkeys.
 
-# Rename to liblxqt-globalkeys-ui-dev when bumping soversion
 Package: liblxqt-globalkeys-ui1-dev
 Architecture: any
 Section: libdevel
